# Maintainer: navigaid <navigaid@gmail.com>

pkgname=naiveproxy
pkgdesc='Make a fortune quietly'
pkgver=80.0.3987.87
pkgrel=3
arch=('x86_64' 'amd64' 'i386' 'i686' 'pentium4' 'arm' 'armv6h' 'armv7h' 'aarch64')
url='https://github.com/klzgrad/naiveproxy'
license=('BSD')
depends=('nspr' 'nss')
makedepends=("clang" "lld" "ninja" "gn" "python2" "gcc" "llvm")
source=(
  "build.sh"
  "naiveproxy.service"
  "naiveproxy@.service"
  "${pkgname}-${pkgver}-${pkgrel}.tar.gz::https://github.com/klzgrad/naiveproxy/archive/v${pkgver}-${pkgrel}.tar.gz"
)
optdepends=("ccache: Speed up compilation")
backup=(etc/naiveproxy/config.json)
md5sums=('432f81e5bae0e87a58ae2f5cc0fc6d31'
	 'c106e5a7c9b379ded843b43b392b541b'
	 'c678cabda371ec6c9cc3d02e5635058d'
         '062e1681a9971a2aa4546ec4b379b0ec')
provides=('naiveproxy')
conflicts=('naiveproxy-git' 'naiveproxy-bin')

build(){
  pushd ${srcdir}/${pkgname}-${pkgver}-${pkgrel}/src
  ../../build.sh
  popd
}

package(){
  pushd ${srcdir}/${pkgname}-${pkgver}-${pkgrel}
  install -Dm755 src/out/Release/naive ${pkgdir}/usr/bin/naiveproxy
  install -Dm644 src/config.json ${pkgdir}/etc/naiveproxy/config.json
  install -Dm644 README.md ${pkgdir}/usr/share/doc/naiveproxy/README.md
  install -Dm644 USAGE.txt ${pkgdir}/usr/share/doc/naiveproxy/USAGE.txt
  install -Dm644 LICENSE ${pkgdir}/usr/share/licenses/naiveproxy/LICENSE
  popd
  install -Dm644 naiveproxy.service "$pkgdir"/usr/lib/systemd/system/naiveproxy.service
  install -Dm644 naiveproxy@.service "$pkgdir"/usr/lib/systemd/system/naiveproxy@.service
}

